// ArticleSubmitter.h : main header file for the PROJECT_NAME application
//

#pragma once

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"		// main symbols
#include "ArticleManager.h"
#include "ArticleSubmitter_i.h"
#include "ArticleSubmitterDlg.h"

// CArticleSubmitterApp:
// See ArticleSubmitter.cpp for the implementation of this class
//

class CArticleSubmitterApp : public CWinApp
{
	public:
		CArticleSubmitterApp();

	// Overrides
	public:
		virtual BOOL InitInstance();
		
	public:
		CArticleManager mManager;


	DECLARE_MESSAGE_MAP()
	BOOL ExitInstance(void);

	public:

		void StartAuto();

		CArticleSubmitterDlg* mDialog;

		CArticle* mCurArticle;

		void SetCurArticle( CArticle* article );

};

extern CArticleSubmitterApp theApp;
